package org.springblade.modules.userJwd.service.impl;

import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.system.entity.User;
import org.springblade.modules.userJwd.entity.UserJwdEntity;
import org.springblade.modules.userJwd.mapper.UserJwdMapper;
import org.springblade.modules.userJwd.service.UserJwdService;
import org.springblade.modules.userJwd.vo.UserJwdVO;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class UserJwdServiceImpl extends BaseServiceImpl<UserJwdMapper, UserJwdEntity> implements UserJwdService {
	@Override
	public List<User> getUserList() {
		return baseMapper.getUserList();
	}

	@Override
	public List<UserJwdVO> getByUserId(Long id) {
		return baseMapper.getByUserId(id);
	}

	@Override
	public boolean isContained(String jwd, String dkfw) {
		return baseMapper.isContained(jwd, dkfw);
	}

	@Override
	public void updateStatus(UserJwdVO userJwd) {
		baseMapper.updateStatus(userJwd);
	}
}
